import mysql.connector as mysql
import storage as strg
import coverage

class CoverageController:
    def __init__(self):
        self.__tablename = "ft_coverage"

    def get_covergae_by_match_id(self,match_id):
        return strg.select_one_sql("coverage_id",self.__tablename,"match_id",match_id)

    def add_coverage(self,g_coverage):
        try:
            db = strg.connect()
            cursor= db.cursor()
            print("match id from coverage : is {0}".format(g_coverage.match_id))
            sql = "INSERT INTO {0} (has_lineups,has_tvs,match_id) VALUES (%s,%s,%s)".format(self.__tablename,)
            cursor.execute(sql,(g_coverage.has_lineups,g_coverage.has_tvs,g_coverage.match_id))
            db.commit()
        except mysql.Error as e:
            raise Exception(e)
        finally:
            cursor.close()
            db.close()
        return cursor.lastrowid
