import configparser
from datetime import datetime
import pytz
import football_get_data
from datetime import timedelta  

config = configparser.ConfigParser()
config.read("config.ini")
api_user = config['API']['user_api']
api_token= config['API']['api_token']
utc = pytz.utc

today = datetime.date(datetime.now(utc))
yesterday = datetime.date(datetime.now(utc)+timedelta(days=-1))
tommorow =  datetime.date(datetime.now(utc)+timedelta(days=1))
api_url_soccer_api_today="/v2.2/fixtures/?user={0}&token={1}&t=schedule&d={2}".format(api_user,api_token,today)
api_url_soccer_api_yesterday="/v2.2/fixtures/?user={0}&token={1}&t=schedule&d={2}".format(api_user,api_token,yesterday)
api_url_soccer_api_tommorow="/v2.2/fixtures/?user={0}&token={1}&t=schedule&d={2}".format(api_user,api_token,tommorow)
host_name = "api.soccersapi.com"

_footbal_data=football_get_data.football_data(host_name)
_footbal_data.call_api(api_url_soccer_api_today)
print("today done!!")
_footbal_data.call_api(api_url_soccer_api_tommorow)
_footbal_data.call_api(api_url_soccer_api_yesterday)
print("good job!!")
