import mysql.connector as mysql
import storage as strg
import match_time

class MatchTimeController:
    def __init__(self):
        self.__table_name= "ft_match_time"
    
    def get_match_time_by_matchId(self,match_id):
        return strg.select_one_sql("match_time_id",self.__table_name,"match_id",match_id)

    def add_match_time(self,g_match_time):
        try:
            db = strg.connect()
            cursor= db.cursor()
            print("match id : is {0} from macth_time".format(g_match_time.match_id))
            sql = "INSERT INTO {0} (match_datetime,minutes ,timezone ,match_id) VALUES (%s,%s,%s,%s)".format(self.__table_name,)
            cursor.execute(sql,(g_match_time.match_datetime,g_match_time.minutes,g_match_time.timezone,g_match_time.match_id))
            db.commit()
        except mysql.Error as e:
            raise Exception(e)
        finally:
            cursor.close()
            db.close()
        return cursor.lastrowid

