import mysql.connector as mysql
import storage as strg

class LeagueController:
    def __init__(self,source_id):
        self.__source_id = source_id
        self.__table_name = "ft_league"
    
    def get_league_by_source_id(self):
        return strg.select_one_sql("league_id",self.__table_name,"league_soucre_id",self.__source_id)

    def add_league(self,league_name,league_type,country_id,country_name,country_flag):
        try:
            db = strg.connect()
            cursor = db.cursor()
            sql = "INSERT INTO {0} (league_name,league_type,country_id, country_name ,  country_flag , league_soucre_id) VALUES (%s,%s,%s,%s,%s,%s)".format(self.__table_name)
            cursor.execute(sql,(league_name,league_type,country_id, country_name,country_flag,self.__source_id))
            db.commit()
        except mysql.Error as e:
            print(e)
            raise Exception(e)
        finally:
            cursor.close()
            db.close()
        return cursor.lastrowid
