import mysql.connector as mysql
import storage as strg
import matchassistant

class MatchAssistantController:
    def __init__(self):
        self.__tablename="ft_match_assistants"

    def get_match_assitant_by_match_id(self,match_id):
        return strg.select_one_sql("match_assistants_id",self.__tablename,"match_id",match_id)

    def add_match_assitant(self,g_match_assitant):
        try:
            db = strg.connect()
            cursor= db.cursor()
            print("match id from add_match_assitant : is {0}".format(g_match_assitant.match_id))
            sql = "INSERT INTO {0} (first_assistant_id,second_assistant_id,fourth_assistant_id,match_id) VALUES (%s,%s,%s,%s)".format(self.__tablename,)
            cursor.execute(sql,(g_match_assitant.first_assistant_id,g_match_assitant.second_assistant_id,g_match_assitant.fourth_assistant_id,g_match_assitant.match_id))
            db.commit()
        except mysql.Error as e:
            raise Exception(e)
        finally:
            cursor.close()
            db.close()
        return cursor.lastrowid
