import mysql.connector as mysql
import storage as strg
import match

class MatchController:
    def __init__(self,source_id):
        self.__source_id=source_id
        self.__table_name = "ft_matchs"

    def get_match_by_source_id(self):
        return strg.select_one_sql("match_id",self.__table_name,"source_id",self.__source_id)
    

    def add_match(self,g_match):
        try:
            db = strg.connect()
            cursor= db.cursor()
            sql = "INSERT INTO {0} (status, status_name ,status_period, referee_id ,  round_id  ,season_id,season_name,stage_id,stage_name,group_id,group_name, aggregate_id , winner_team_id , venue_id ,leg,team_home_id,team_away_id,source_id,league_id) VALUES (%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s)".format(self.__table_name,)
            cursor.execute(sql,(g_match.status,g_match.status_name,g_match.status_period,g_match.referee_id,g_match.round_id,g_match.season_id,g_match.season_name,g_match.stage_id,g_match.stage_name,g_match.group_id,g_match.group_name,g_match.aggregate_id,g_match.winner_team_id,g_match.venue_id,g_match.leg,g_match.team_home_id,g_match.team_away_id,g_match.source_id,g_match.league_id))
            db.commit()
        except mysql.Error as e:
            raise Exception(e)
        finally:
            cursor.close()
            db.close()
        return cursor.lastrowid
