import mysql.connector as mysql
import storage as strg
import score

class ScoreController:
    def __init__(self):
        self.__tablename="ft_scores"

    def get_score_by_match_id(self,match_id):
        return strg.select_one_sql("score_id",self.__tablename,"match_id",match_id)

    def add_score(self,g_score):
        try:
            db = strg.connect()
            cursor= db.cursor()
            print("match id from score : is {0}".format(g_score.match_id))
            sql = "INSERT INTO {0} (home_score,away_score ,ht_score ,et_score,ps_score,match_id,ft_score) VALUES (%s,%s,%s,%s,%s,%s,%s)".format(self.__tablename,)
            cursor.execute(sql,(g_score.home_score,g_score.away_score,g_score.ht_score,g_score.et_score,g_score.ps_score,g_score.match_id,g_score.ft_score))
            db.commit()
        except mysql.Error as e:
            raise Exception(e)
        finally:
            cursor.close()
            db.close()
        return cursor.lastrowid

