import mysql.connector as mysql
import storage as strg
import standing

class StandingController:
    def __init__(self):
        self.__tablename="ft_standing"

    def get_standing_by_match_id(self,match_id):
        return strg.select_one_sql("standing_id",self.__tablename,"match_id",match_id)

    def add_standing(self,g_standing):
        try:
            db = strg.connect()
            cursor= db.cursor()
            print("match id from standing : is {0}".format(g_standing.match_id))
            sql = "INSERT INTO {0} (home_position,away_position,match_id) VALUES (%s,%s,%s)".format(self.__tablename,)
            cursor.execute(sql,(g_standing.home_position,g_standing.away_position,g_standing.match_id))
            db.commit()
        except mysql.Error as e:
            raise Exception(e)
        finally:
            cursor.close()
            db.close()
        return cursor.lastrowid

