import mysql.connector as mysql
import storage as strg

class TeamController:
    def __init__(self,source_id):
        self.__source_id = source_id
        self.__table_name ="ft_teams"

    def add_team(self,name,short_code,img,form,coach_id,color):
        try:
            db = strg.connect()
            cursor = db.cursor()
            sql = "INSERT INTO {0} (team_name, short_code, img, form, coach_id, color, team_source_id) VALUES (%s,%s,%s,%s,%s,%s,%s)".format(self.__table_name)
            cursor.execute(sql,(name,short_code,img,form,coach_id,color,self.__source_id))
            db.commit()
        finally:
            cursor.close()
            db.close()

        return cursor.lastrowid
    
    def get_team_by_source_id(self):
        return strg.select_one_sql("team_id",self.__table_name,"team_source_id",self.__source_id)



